#import <UIKit/UIKit.h>
#import <CoreMotion/CoreMotion.h>
#import <QuartzCore/QuartzCore.h>

@interface ViewController : UIViewController {
    // Hintergrund
    UIImageView *canvas;
    // Raumgleiter
    UIImageView *ship;
    UIImageView *blast;
    double shipSpeedX;
    double shipSpeedY;
    int leadfoot; // 1 = Vollgas
    
    // Zielort (Design)
    UIImageView *station;
    // Zielort Landeplattform
    UIImageView *platform;
    
    // Head-up-Display
    UIImageView *hud;
    UIImageView *hud_oxygen;
    UIImageView *hud_petrol;
    UILabel *hud_level;
    
    int level; // aktueller Level
    double oxygen; // verbleibender Sauerstoff
    double petrol; // verbleibender Treibstoff
    
    // Array mit Landschaftsdaten
    NSMutableArray *areaDesign;
    
    CMMotionManager *motionManager;
    
    bool normalAction; // NO = nicht bewegen
}

@property (nonatomic,strong) UIImageView *canvas;
@property (nonatomic,strong) UIImageView *ship;
@property (nonatomic, strong) UIImageView *blast;
@property (nonatomic, strong) UIImageView *station;
@property (nonatomic, strong) UIImageView *platform;
@property (nonatomic, strong) UIImageView *hud;
@property (nonatomic, strong) UIImageView *hud_oxygen;
@property (nonatomic, strong) UIImageView *hud_petrol;
@property (nonatomic, strong) UILabel *hud_level;
@property (nonatomic, strong) NSMutableArray *areaDesign;
@property (nonatomic, strong) CMMotionManager *motionManager;

- (void)restartLevel;
- (void)reduceOxygen;
- (void)missionFailed;
- (void)missionAccomplished;
- (void)gameEngine;

@end

